Add an ability to attach and embed a file to "Image" button in the Wiki toolbar
2020-02-18 08:04 - Go MAEDA

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

Currently, we have "Image" button in the Wiki toolbar. | think the button would be more useful and user-friendly if the button has an
ability to attach a file.

The following is my idea of the new behavior.

1. You will see a file dialog if you click the "Image" button. You can open an image to embed with the dialog
2. After opening an image with the dialog, the selected image file is attached and inserted to the textarea with markups
History
#1 - 2020-03-11 10:22 - Takenori TAKAKI
- File 33018.patch added
+1

| think that wiki editor will be more useful, if the behavior suggested by Go Maeda is realized!

| post a patch to add the function shown in the screenshot above.
The behavior when click the "Image" button is as follows.

e If no text is selected in the wiki-edit area, open a dialog to select an image.
¢ |f some text is selected in the wiki-edit area, it works as before.

#2 - 2020-03-11 14:26 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2020-03-14 18:50 - Marius BALTEANU
- Assignee set to Marius BALTEANU

Allow me few days to propose an alternative.

#4 - 2020-05-04 22:49 - Marius BALTEANU
- File js_toolbar.png added
- Assignee deleted (Marius BALTEANU)

What do you think if we add a bottom message to the toolbar with the option to select the image?

js_toolbar.png

Files

step-1-open-a-file-with-dialog.png 327 KB 2020-02-18 Go MAEDA
step-2-file-is-embedded.png 81.2 KB 2020-02-18 Go MAEDA
33018.patch 1.71 KB 2020-03-11 Takenori TAKAKI
js_toolbar.png 80.1 KB 2020-05-04 Marius BALTEANU
